Page MenuHomePhabricator

[RISCV] Remove Zvamo implication for v1.0-rc change
ClosedPublic

Authored by arcbbb on Jul 3 2021, 7:18 AM.

Diff Detail

Event Timeline

arcbbb created this revision.Jul 3 2021, 7:18 AM
arcbbb requested review of this revision.Jul 3 2021, 7:18 AM
Herald added projects: Restricted Project, Restricted Project. · View Herald TranscriptJul 3 2021, 7:18 AM
This revision is now accepted and ready to land.Jul 3 2021, 7:34 AM
post.kadirselcuk requested changes to this revision.Jul 3 2021, 7:35 AM
This revision now requires changes to proceed.Jul 3 2021, 7:35 AM
This revision is now accepted and ready to land.Jul 3 2021, 7:42 AM
This revision now requires changes to proceed.Jul 3 2021, 7:45 AM
This revision is now accepted and ready to land.Jul 3 2021, 7:47 AM
jrtc27 added a comment.Jul 3 2021, 8:04 AM

This is going to be a lot of churn. Why not just keep Zvamo0p10 as an experimental extension until a re-encoded version appears?

arcbbb updated this revision to Diff 356353.Jul 3 2021, 11:48 AM
arcbbb retitled this revision from [RISCV] Remove Zvamo extension for v1.0-rc change to [RISCV] Remove Zvamo implication for v1.0-rc change.
arcbbb edited the summary of this revision. (Show Details)

keep Zvamo0p10 and remove the implication only.

jrtc27 added inline comments.Jul 3 2021, 11:49 AM
clang/test/Preprocessor/riscv-target-features.c
239–246

ZVAMO

arcbbb updated this revision to Diff 356369.Jul 3 2021, 11:40 PM

Fix FileCheck prefix: ZVAMO

This revision now requires review to proceed.Jul 4 2021, 8:16 PM
evandro accepted this revision.Jul 6 2021, 7:12 AM
This revision is now accepted and ready to land.Jul 6 2021, 7:12 AM
This revision was automatically updated to reflect the committed changes.